package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class BmsshipFee implements IBasePO<BigDecimal> {
    @ApiModelProperty(value="",required=true)
    private BigDecimal resultId;

    @ApiModelProperty(value="",required=false)
    private BigDecimal fee;

    @ApiModelProperty(value="",required=false)
    private BigDecimal feeType;

    @ApiModelProperty(value="",required=false)
    private BigDecimal purchaseOrderId;

    @ApiModelProperty(value="",required=false)
    private BigDecimal batchId;

    @ApiModelProperty(value="",required=false)
    private BigDecimal realTonnage;

    @ApiModelProperty(value="",required=false)
    private BigDecimal unitPrice;

    @ApiModelProperty(value="",required=false)
    private BigDecimal unitPriceId;

    @ApiModelProperty(value="",required=false)
    private String resultRemarks;

    @ApiModelProperty(value="",required=false)
    private String insertUsername;

    @ApiModelProperty(value="",required=false)
    private Date insertTime;

    @ApiModelProperty(value="",required=false)
    private String updateUsername;

    @ApiModelProperty(value="",required=false)
    private Date updateTime;

    @ApiModelProperty(value="",required=false)
    private String insertUpdateRemark;

    @ApiModelProperty(value="",required=false)
    private BigDecimal deleted;

    @ApiModelProperty(value="",required=false)
    private String image;

    @ApiModelProperty(value="",required=false)
    private BigDecimal wagonNumber;

    @ApiModelProperty(value="",required=false)
    private Date makeTime;

    @ApiModelProperty(value="",required=false)
    private BigDecimal portId;

    /**
     * 港口数(PORT_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="港口数",required=false)
    private BigDecimal portNum;

    /**
     * 船数(SHIP_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="船数",required=false)
    private BigDecimal shipNum;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getFee() {
        return fee;
    }

    public void setFee(BigDecimal fee) {
        this.fee = fee;
    }

    public BigDecimal getFeeType() {
        return feeType;
    }

    public void setFeeType(BigDecimal feeType) {
        this.feeType = feeType;
    }

    public BigDecimal getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(BigDecimal purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public BigDecimal getBatchId() {
        return batchId;
    }

    public void setBatchId(BigDecimal batchId) {
        this.batchId = batchId;
    }

    public BigDecimal getRealTonnage() {
        return realTonnage;
    }

    public void setRealTonnage(BigDecimal realTonnage) {
        this.realTonnage = realTonnage;
    }

    public BigDecimal getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(BigDecimal unitPrice) {
        this.unitPrice = unitPrice;
    }

    public BigDecimal getUnitPriceId() {
        return unitPriceId;
    }

    public void setUnitPriceId(BigDecimal unitPriceId) {
        this.unitPriceId = unitPriceId;
    }

    public String getResultRemarks() {
        return resultRemarks;
    }

    public void setResultRemarks(String resultRemarks) {
        this.resultRemarks = resultRemarks == null ? null : resultRemarks.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image == null ? null : image.trim();
    }

    public BigDecimal getWagonNumber() {
        return wagonNumber;
    }

    public void setWagonNumber(BigDecimal wagonNumber) {
        this.wagonNumber = wagonNumber;
    }

    public Date getMakeTime() {
        return makeTime;
    }

    public void setMakeTime(Date makeTime) {
        this.makeTime = makeTime;
    }

    public BigDecimal getPortId() {
        return portId;
    }

    public void setPortId(BigDecimal portId) {
        this.portId = portId;
    }

    public BigDecimal getPortNum() {
        return portNum;
    }

    public void setPortNum(BigDecimal portNum) {
        this.portNum = portNum;
    }

    public BigDecimal getShipNum() {
        return shipNum;
    }

    public void setShipNum(BigDecimal shipNum) {
        this.shipNum = shipNum;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", fee=").append(fee);
        sb.append(", feeType=").append(feeType);
        sb.append(", purchaseOrderId=").append(purchaseOrderId);
        sb.append(", batchId=").append(batchId);
        sb.append(", realTonnage=").append(realTonnage);
        sb.append(", unitPrice=").append(unitPrice);
        sb.append(", unitPriceId=").append(unitPriceId);
        sb.append(", resultRemarks=").append(resultRemarks);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", image=").append(image);
        sb.append(", wagonNumber=").append(wagonNumber);
        sb.append(", makeTime=").append(makeTime);
        sb.append(", portId=").append(portId);
        sb.append(", portNum=").append(portNum);
        sb.append(", shipNum=").append(shipNum);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}